Pular para o conteúdo

Review widgets

Embeddable widgets showing reviews

The review widget object

Attributes

iduuid
organization_iduuid
organizations.id

Identifier of the organization this widget is defined in

created_atread-onlytimestamp with time zone

Creation timestamp

updated_atread-onlytimestamp with time zone

Last modification timestamp

color_backgroundtext

Background color of the widget

color_primarytext

Primary color of the widget

color_texttext

Text color of the widget

fonttext | null

Font of the widget

ftsread-onlytsvector
languageLanguage

Language of the widget

layoutReviewWidgetLayout

Layout of the reviews: grid, list or summary

number_of_itemsinteger

Number of reviews to show

show_brandingboolean

Whether to show the Bookingmood branding

titletext

Title of the widget

Related resources

Embed related resources in the response with the select parameter, for example select=*,organizations(*). Resources related through more than one column need the column as a hint, like table!column(*).

organizations(*)object | null
organizations

The organization referenced by organization_id.

review_widget_listings(*)array
review_widget_listings

The review widget listings referencing this review widget through review_widget_listings.review_widget_id.

The review widget object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T22:27:57.301Z",
  "updated_at": "2026-10-30T22:27:57.301Z",
  "color_background": "#fff",
  "color_primary": "#067f54",
  "color_text": "#000",
  "font": "",
  "language": "en-US",
  "layout": "grid",
  "number_of_items": 6,
  "show_branding": true,
  "title": "Summer cottage"
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/review_widgets?limit=10&select=*,organizations(*),review_widget_listings(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List review widgets

Filters

idFilter<uuid>
organization_idFilter<uuid>
organizations.id

Identifier of the organization this widget is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

color_backgroundFilter<text>

Background color of the widget

color_primaryFilter<text>

Primary color of the widget

color_textFilter<text>

Text color of the widget

fontFilter<text | null>

Font of the widget

ftsFilter<tsvector>
languageFilter<Language>

Language of the widget

layoutFilter<ReviewWidgetLayout>

Layout of the reviews: grid, list or summary

number_of_itemsFilter<integer>

Number of reviews to show

show_brandingFilter<boolean>

Whether to show the Bookingmood branding

titleFilter<text>

Title of the widget

Responses

200

A list of review widgets with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /review_widgets
curl -X GET "https://api.bookingmood.com/v1/review_widgets?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.301Z",
    "updated_at": "2026-10-30T22:27:57.301Z",
    "color_background": "#fff",
    "color_primary": "#067f54",
    "color_text": "#000",
    "font": "",
    "language": "en-US",
    "layout": "grid",
    "number_of_items": 6,
    "show_branding": true,
    "title": "Summer cottage"
  }
]

Create review widgets

Body

Partial<ReviewWidget> | Array<Partial<ReviewWidget>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created review widgets with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /review_widgets
curl -X POST "https://api.bookingmood.com/v1/review_widgets" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "color_background": "#fff",
    "color_primary": "#067f54",
    "color_text": "#000",
    "language": "en-US",
    "layout": "grid",
    "number_of_items": 6,
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "show_branding": true,
    "title": "Summer cottage"
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.301Z",
    "updated_at": "2026-10-30T22:27:57.301Z",
    "color_background": "#fff",
    "color_primary": "#067f54",
    "color_text": "#000",
    "font": "",
    "language": "en-US",
    "layout": "grid",
    "number_of_items": 6,
    "show_branding": true,
    "title": "Summer cottage"
  }
]

Delete review widgets

Filters

Without filters, this request deletes all review widgets you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>
organization_idFilter<uuid>
organizations.id

Identifier of the organization this widget is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

color_backgroundFilter<text>

Background color of the widget

color_primaryFilter<text>

Primary color of the widget

color_textFilter<text>

Text color of the widget

fontFilter<text | null>

Font of the widget

ftsFilter<tsvector>
languageFilter<Language>

Language of the widget

layoutFilter<ReviewWidgetLayout>

Layout of the reviews: grid, list or summary

number_of_itemsFilter<integer>

Number of reviews to show

show_brandingFilter<boolean>

Whether to show the Bookingmood branding

titleFilter<text>

Title of the widget

Responses

200

The deleted review widgets with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /review_widgets
curl -X DELETE "https://api.bookingmood.com/v1/review_widgets?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.301Z",
    "updated_at": "2026-10-30T22:27:57.301Z",
    "color_background": "#fff",
    "color_primary": "#067f54",
    "color_text": "#000",
    "font": "",
    "language": "en-US",
    "layout": "grid",
    "number_of_items": 6,
    "show_branding": true,
    "title": "Summer cottage"
  }
]

Update review widgets

Filters

Without filters, this request updates all review widgets you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>
organization_idFilter<uuid>
organizations.id

Identifier of the organization this widget is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

color_backgroundFilter<text>

Background color of the widget

color_primaryFilter<text>

Primary color of the widget

color_textFilter<text>

Text color of the widget

fontFilter<text | null>

Font of the widget

ftsFilter<tsvector>
languageFilter<Language>

Language of the widget

layoutFilter<ReviewWidgetLayout>

Layout of the reviews: grid, list or summary

number_of_itemsFilter<integer>

Number of reviews to show

show_brandingFilter<boolean>

Whether to show the Bookingmood branding

titleFilter<text>

Title of the widget

Body

Partial<ReviewWidget>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated review widgets with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /review_widgets
curl -X PATCH "https://api.bookingmood.com/v1/review_widgets?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "color_background": "#fff"
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.301Z",
    "updated_at": "2026-10-30T22:27:57.301Z",
    "color_background": "#fff",
    "color_primary": "#067f54",
    "color_text": "#000",
    "font": "",
    "language": "en-US",
    "layout": "grid",
    "number_of_items": 6,
    "show_branding": true,
    "title": "Summer cottage"
  }
]

Assuma o controlo das suas reservas. Construa o seu próprio negócio.

Junte-se a mais de 1200 empresas independentes de alugueres para férias que utilizam o Bookingmood para aumentar as reservas diretas e construir relações mais sólidas com os hóspedes.

Iniciar o teste gratuito de 14 dias